<main class="wrapper">
<div class="row collapse">
  <div class="row collapse">
    <div class="columns large-8 large-centered text-center page-title">
      <h1><%= t "devise.invitations.edit.header" %></h1>

      <p><%= t("devise.invitations.edit.subtitle").html_safe %></p>
    </div>
  </div>

  <div class="row">
    <div class="columns large-6 medium-10 medium-centered">
      <%= decidim_form_for resource, as: resource_name, url: invitation_path(resource_name, invite_redirect: params[:invite_redirect]), html: { method: :put, class: "register-form new_user" } do |f| %>
        <div class="card">
          <div class="card__content">
            <legend><%= t("sign_up_as.legend", scope: "decidim.devise.registrations.new") %></legend>

            <%= f.hidden_field :invitation_token %>

            <div class="field">
              <%= f.text_field :nickname, help_text: t("devise.invitations.edit.nickname_help", organization: current_organization.name), required: "required" %>
            </div>

            <% if f.object.class.require_password_on_accepting %>
              <div class="field">
                <%= f.password_field :password, help_text: t("devise.shared.password_help"), required: "required" %></p>
              </div>

              <div class="field">
                <%= f.password_field :password_confirmation, required: "required" %></p>
              </div>
            <% end %>
          </div>
        </div>

        <div class="card" id="card__tos">
          <div class="card__content">
            <legend>
              <%= t("tos_title", scope: "decidim.devise.registrations.new") %>
            </legend>

            <p class="tos-text">
              <%= strip_tags(translated_attribute(terms_and_conditions_page.content)) %>
            </p>

            <div class="field">
              <% link = link_to t("terms", scope: "decidim.devise.registrations.new"), page_path("terms-and-conditions"), target: "_blank" %>
              <% label = t("tos_agreement", scope: "decidim.devise.registrations.new", link: link) %>
              <%= f.check_box :tos_agreement, label: label, required: "required" %>
            </div>
          </div>
        </div>

        <div class="card" id="card__newsletter">
          <div class="card__content">
            <legend><%= t("newsletter_title", scope: "decidim.devise.registrations.new") %></legend>
            <fieldset>
              <div class="field">
                <%= label_tag :"#{resource_name}[newsletter_notifications]" do %>
                  <%= check_box_tag :"#{resource_name}[newsletter_notifications]" %>
                  <%= t("newsletter", scope: "decidim.devise.registrations.new") %>
                <% end %>
              </div>
            </fieldset>
          </div>
        </div>

        <div class="card">
          <div class="card__content">
            <div class="actions">
              <%= f.submit t("devise.invitations.edit.submit_button"), class: "button expanded" %>
            </div>
          </div>
        </div>

      <% end %>
    </div>
  </div>
</div>
</main>
